APP_SSH_PORT=25658

.PHONY: all
all: watch

.PHONY: install
install:
	npm install -D @tailwindcss/forms

.PHONY: watch
watch:
	tailwindcss -i ./src/input.css -o ./dist/output.css --watch

.PHONY: static
static:
	tailwindcss ./src/input.css -o ./dist/output.css

.PHONY: deploy
deploy: build static
	rsync -av --delete -e "ssh -p ${APP_SSH_PORT}" ./src app@ssh.rosti.cz:/srv/app/
	rsync -av --delete -e "ssh -p ${APP_SSH_PORT}" ./dist app@ssh.rosti.cz:/srv/app/
	rsync -av --delete -e "ssh -p ${APP_SSH_PORT}" ./autosklo app@ssh.rosti.cz:/srv/app/autosklo
	rsync -av --delete -e "ssh -p ${APP_SSH_PORT}" ./.env app@ssh.rosti.cz:/srv/app/.env
	ssh -p ${APP_SSH_PORT} app@ssh.rosti.cz supervisorctl restart app

.PHONY: build
build:
	CGO_ENABLED=0 go build -o autosklo *.go

